Distribution: 	CCux
Packager: 	Simon Schmeisser<mail_to_wrt@gmx.de>

Name: 		fluxconf
Version: 	0.9.8
Release: 	2 
Source0: 	%{name}-%{version}.tar.gz 
Summary: 	Fluxconf is a configuration tool for fluxbox.
URL: 		http://devaux.fabien.free.fr/flux/
License: 	GNU/GPL 
Group: 		Graphical Desktop/Fluxbox
Requires:	fluxbox
BuildRequires:  gtk2+-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot 

%description 
Fluxconf is a configuration tool for fluxbox.

%prep 
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir
make

%install 
rm -rf $RPM_BUILD_ROOT 

make bindir=$RPM_BUILD_ROOT%_bindir mandir=$RPM_BUILD_ROOT%_mandir datadir=$RPM_BUILD_ROOT%_datadir install
# Fix symlinks
cd $RPM_BUILD_ROOT%_bindir
rm -f fluxkeys fluxmenu fluxbare
ln -s %{name} fluxkeys
ln -s %{name} fluxmenu
ln -s %{name} fluxbare
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files 
%defattr(-,root,root)
%_bindir
%_datadir

%clean 
rm -rf $RPM_BUILD_ROOT 

%post
ldconfig

%changelog 
* Tue Nov 1 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-2
- tweaked specfile, added requires, fixed group, fixed symlinks
* Sat Apr 9 2005 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.8-1 
- First package Release